#!/s/perl/bin/perl
# $Header: /u/s/o/solomon/java/rooms.tmp/RCS/rooms.pl,v 1.4 1996/05/21 17:33:40 solomon Exp solomon $

# Copyright (c) 1996, Marvin Solomon

# This is the cgi-bin script Rooms.java uses to talk to
# the old glass-tty rooms program (see $prog below).

# It mostly just passes through command-line arguments and stdin
# transparently, but it looks for the command-line arguments
# "-Abasic ticket" ("-Abasic" *must* be first, and exactly as shown),
# validates the ticket (for now, a null op), and issues the "user" command
# to the server.

# Stdout is sent back without any filtering, preceded only by a "Content-type"
# header.

$prog = "/s/std/bin/rooms";
# Use the following if a recent update to the rooms command-line client
# has not yet been installed in the standard place.
$prog = "./rooms" if -x "./rooms";

$| = 1;
print "Content-type: text/plain\n\n";

# Special kludge case for call `rooms.pl -Abasic ticket ...'
if (@ARGV >= 2 && $ARGV[0] eq "-Abasic") {
	shift;
	$ticket = shift;
	#$prog = test1;
}

$command = "|$prog " . join(' ',@ARGV);
#open(DB, ">>/u/s/o/solomon/junk/tmp") && print DB "opening '$command'\n";

open(FI, $command) or die "pipe: $!\n";
if (defined $ticket) {
	print FI "user $ticket\n";
}
while (<STDIN>) {
	print FI $_;
}
close(FI);
exit 0;
